Subject: Re: linux-next: build failure after merge of the drm tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 28 Apr 2025 14:24:52 +1000

Hi all,

On Mon, 28 Apr 2025 13:30:13 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> After merging the drm tree, today's linux-next build (x86_64 allmodconfig)
> failed like this:
> 
> In file included from drivers/gpu/drm/xe/xe_bo.c:3118:
> drivers/gpu/drm/xe/tests/xe_bo.c: In function 'ccs_test_migrate':
> drivers/gpu/drm/xe/tests/xe_bo.c:63:15: error: too many arguments to function 'xe_bo_evict'
>    63 |         ret = xe_bo_evict(bo, true);
>       |               ^~~~~~~~~~~
> drivers/gpu/drm/xe/xe_bo.c:2939:5: note: declared here
>  2939 | int xe_bo_evict(struct xe_bo *bo)
>       |     ^~~~~~~~~~~
> 
> Caused by commit
> 
>   55df7c0c62c1 ("drm/ttm/xe: drop unused force_alloc flag")
> 
> I have used the drm tree from next-20250424 for today.

The fix for this turned up in the drm-xe tree while I was writing the
above.  I have now used the current drm tree combined with the current
drm-xe tree for today.  So the drm tree on its own is broken as above,
but linux-next is not.

-- 
Cheers,
Stephen Rothwell